Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.ejb.impl
Class ProcessServiceEJBImpl

    java.lang.Object
      org.jbpm.kie.services.impl.ProcessServiceImpl
          org.jbpm.services.ejb.impl.ProcessServiceEJBImpl

All Implemented Interfaces:
  VariablesAware, ProcessService, ProcessServiceEJBLocal, ProcessServiceEJBRemote

    public class ProcessServiceEJBImpl

extends ProcessServiceImpl
implements ProcessService, ProcessServiceEJBLocal, ProcessServiceEJBRemote

Constructor Summary
`ProcessServiceEJBImpl()`

Method Summary
`protected void` | `disposeRuntimeEngine(RuntimeManager manager, RuntimeEngine engine)`
`
`<T> T`
` | `process(T variables, ClassLoader cl)` Generic processing method that might be simply returning same instance of variables if no processing is required.
`void` | `setDataService(RuntimeDataService dataService)`
`void` | `setDeploymentService(DeploymentService deploymentService)`

Methods inherited from class org.jbpm.kie.services.impl.ProcessServiceImpl
`abortProcessInstance, abortProcessInstances, abortWorkItem, collectActiveSignals, completeWorkItem, disallowWhenNotActive, execute, execute, getAvailableSignals, getProcessInstance, getProcessInstanceVariable, getProcessInstanceVariables, getWorkItem, getWorkItemByProcessInstance, setProcessVariable, setProcessVariables, signalProcessInstance, signalProcessInstances, startProcess, startProcess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.services.api.ProcessService
`abortProcessInstance, abortProcessInstances, abortWorkItem, completeWorkItem, execute, execute, getAvailableSignals, getProcessInstance, getProcessInstanceVariable, getProcessInstanceVariables, getWorkItem, getWorkItemByProcessInstance, setProcessVariable, setProcessVariables, signalProcessInstance, signalProcessInstances, startProcess, startProcess`

Constructor Detail

### ProcessServiceEJBImpl

    public ProcessServiceEJBImpl()

Method Detail

### setDeploymentService

    public void setDeploymentService(DeploymentService deploymentService)

  Overrides:
    `setDeploymentService` in class `ProcessServiceImpl`

### setDataService

    public void setDataService(RuntimeDataService dataService)

  Overrides:
    `setDataService` in class `ProcessServiceImpl`

### process

    public <T> T process(T variables,
                         ClassLoader cl)

  Description copied from interface: `VariablesAware`
  Generic processing method that might be simply returning same instance of variables if no processing is required.

  Specified by:
    `process` in interface `VariablesAware`
  Overrides:
    `process` in class `ProcessServiceImpl`
  Parameters:
    `variables` - object that holds varialble(s)
    `cl` - classloader that shall be used to operate on the variables e.g. project class loader
  Returns:

### disposeRuntimeEngine

    protected void disposeRuntimeEngine(RuntimeManager manager,
                                        RuntimeEngine engine)

  Overrides:
    `disposeRuntimeEngine` in class `ProcessServiceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.